diff options
author | Daiki Ueno <ueno@gnu.org> | 2014-03-10 18:13:28 +0900 |
---|---|---|
committer | Daiki Ueno <ueno@gnu.org> | 2014-03-10 18:24:15 +0900 |
commit | d66197a3ca8355efa22f1d9c687f41eb30ae19ff (patch) | |
tree | c4acc964d617b04629a3a3bbb7632f34cdb35b9c /gettext-tools/tests/msgmerge-18 | |
parent | 0e79f41006d2b4d69dd3eb57c0202faa6c1fba44 (diff) | |
download | external_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.zip external_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.tar.gz external_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.tar.bz2 |
tests: Remove unnecessary tempfile cleanup code
Cleanup code like "rm -fr $tmpfiles" are no longer needed, since
'init.sh' takes care of that.
Diffstat (limited to 'gettext-tools/tests/msgmerge-18')
-rw-r--r--[-rwxr-xr-x] | gettext-tools/tests/msgmerge-18 | 23 |
1 files changed, 5 insertions, 18 deletions
diff --git a/gettext-tools/tests/msgmerge-18 b/gettext-tools/tests/msgmerge-18 index f7b3bfc..6037379 100755..100644 --- a/gettext-tools/tests/msgmerge-18 +++ b/gettext-tools/tests/msgmerge-18 @@ -3,10 +3,6 @@ # Test msgmerge and msgcmp on a PO file with contexts. -tmpfiles="" -trap 'rm -fr $tmpfiles' 1 2 3 15 - -tmpfiles="$tmpfiles mm-test18.po" cat <<\EOF > mm-test18.po msgid "" msgstr "" @@ -52,7 +48,6 @@ msgid "copier" msgstr "photocopieur" EOF -tmpfiles="$tmpfiles mm-test18.pot" cat <<\EOF > mm-test18.pot # SOME DESCRIPTIVE TITLE. # Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER @@ -119,16 +114,12 @@ EOF : ${MSGCMP=msgcmp} ${MSGCMP} --use-fuzzy --use-untranslated mm-test18.po mm-test18.pot 2>/dev/null -test $? = 1 || { rm -fr $tmpfiles; exit 1; } +test $? = 1 || { exit 1; } -tmpfiles="$tmpfiles mm-test18.tmp.po mm-test18.new.po" : ${MSGMERGE=msgmerge} -${MSGMERGE} -q -o mm-test18.tmp.po mm-test18.po mm-test18.pot -test $? = 0 || { rm -fr $tmpfiles; exit 1; } -LC_ALL=C tr -d '\r' < mm-test18.tmp.po > mm-test18.new.po -test $? = 0 || { rm -fr $tmpfiles; exit 1; } +${MSGMERGE} -q -o mm-test18.tmp.po mm-test18.po mm-test18.pot || exit 1 +LC_ALL=C tr -d '\r' < mm-test18.tmp.po > mm-test18.new.po || exit 1 -tmpfiles="$tmpfiles mm-test18.ok" # Note that the fuzzy guess for "Open" in context "Door state" could be either # "Ouvrir" (from context "File|") or "Ouvert" (from context "Lock state"). cat <<\EOF > mm-test18.ok @@ -195,13 +186,9 @@ msgstr "photocopieur" EOF : ${DIFF=diff} -${DIFF} mm-test18.ok mm-test18.new.po -test $? = 0 || { rm -fr $tmpfiles; exit 1; } +${DIFF} mm-test18.ok mm-test18.new.po || exit 1 : ${MSGCMP=msgcmp} -${MSGCMP} --use-fuzzy --use-untranslated mm-test18.new.po mm-test18.pot -test $? = 0 || { rm -fr $tmpfiles; exit 1; } - -rm -fr $tmpfiles +${MSGCMP} --use-fuzzy --use-untranslated mm-test18.new.po mm-test18.pot || exit 1 exit 0 |